From mboxrd@z Thu Jan  1 00:00:00 1970
From: Michal Vasilek <michal@vasilek.cz>
To: list+catgirl@causal.agency
Cc: Michal Vasilek <michal@vasilek.cz>
Subject: [PATCH] Revert to using $PREFIX/share/man for manpages
Date: Mon, 31 May 2021 00:39:43 +0200
Message-Id: <20210530223943.27855-1-michal@vasilek.cz>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

Many systems with mandoc don't have /usr{/local,}/man in the default
MANPATH.
---
 Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index b285e8c..81a2817 100644
--- a/Makefile
+++ b/Makefile
@@ -1,6 +1,6 @@
 PREFIX ?= /usr/local
 BINDIR ?= ${PREFIX}/bin
-MANDIR ?= ${PREFIX}/man
+MANDIR ?= ${PREFIX}/share/man
 
 CEXTS = gnu-case-range gnu-conditional-omitted-operand
 CFLAGS += -std=c11 -Wall -Wextra -Wpedantic ${CEXTS:%=-Wno-%}
-- 
2.31.1


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.6\))
Subject: Re: [PATCH] Revert to using $PREFIX/share/man for manpages
From: june <june@causal.agency>
In-Reply-To: <20210530223943.27855-1-michal@vasilek.cz>
Date: Sun, 30 May 2021 19:17:38 -0400
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: 7bit
Message-Id: <50CC7E70-212E-4855-8D3C-0A561CEC2D99@causal.agency>
References: <20210530223943.27855-1-michal@vasilek.cz>
To: Michal Vasilek <michal@vasilek.cz>

> On May 30, 2021, at 18:39, Michal Vasilek <michal@vasilek.cz> wrote:
> 
> Many systems with mandoc don't have /usr{/local,}/man in the default
> MANPATH.

The default configuration of mandoc includes /usr/local/man, as
does man-db. MANDIR=${PREFIX}/man is the correct default on the
platforms this software is developed on. Others should set MANDIR
as needed.


From mboxrd@z Thu Jan  1 00:00:00 1970
Subject: Re: [PATCH] Revert to using $PREFIX/share/man for manpages
To: list@causal.agency
References: <20210530223943.27855-1-michal@vasilek.cz>
 <50CC7E70-212E-4855-8D3C-0A561CEC2D99@causal.agency>
From: Sebastian LaVine <mail@smlavine.com>
Message-ID: <e295c221-35c9-9c1b-39fb-a1ffbab1b37c@smlavine.com>
Date: Mon, 31 May 2021 13:02:14 -0400
MIME-Version: 1.0
In-Reply-To: <50CC7E70-212E-4855-8D3C-0A561CEC2D99@causal.agency>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="pekeCKHlcJET09COrYCdSTmZyZ28vr4mC"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--pekeCKHlcJET09COrYCdSTmZyZ28vr4mC
Content-Type: multipart/mixed; boundary="tsH3OiaJy8LGNWr2iQw37jmy8DApiRXDk";
 protected-headers="v1"
From: Sebastian LaVine <mail@smlavine.com>
To: list@causal.agency
Message-ID: <e295c221-35c9-9c1b-39fb-a1ffbab1b37c@smlavine.com>
Subject: Re: [PATCH] Revert to using $PREFIX/share/man for manpages
References: <20210530223943.27855-1-michal@vasilek.cz>
 <50CC7E70-212E-4855-8D3C-0A561CEC2D99@causal.agency>
In-Reply-To: <50CC7E70-212E-4855-8D3C-0A561CEC2D99@causal.agency>

--tsH3OiaJy8LGNWr2iQw37jmy8DApiRXDk
Content-Type: multipart/mixed;
 boundary="------------59FF84E7A13598B1C9AFD099"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------59FF84E7A13598B1C9AFD099
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

On 5/30/21 7:17 PM, june wrote:
>> On May 30, 2021, at 18:39, Michal Vasilek <michal@vasilek.cz> wrote:
>>
>> Many systems with mandoc don't have /usr{/local,}/man in the default
>> MANPATH.
>=20
> The default configuration of mandoc includes /usr/local/man, as
> does man-db. MANDIR=3D${PREFIX}/man is the correct default on the
> platforms this software is developed on. Others should set MANDIR
> as needed.
>=20

I can corroborate that on my Arch Linux man-db system, /usr/local/man is =

where man files are. /usr/share/local/man is symlinked to "../man".

--=20
Sebastian LaVine | https://smlavine.com

--------------59FF84E7A13598B1C9AFD099
Content-Type: application/pgp-keys;
 name="OpenPGP_0x819C7D054C7C1465.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x819C7D054C7C1465.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xsDNBF/FRC8BDADVO0YffXrFvdQi7oQmlC7HF208hw4EsH3VoqCFqhHbsV1T33RDT4TrZ0xQd=
ij/
V9F4+hhosltbvYxsWC4sZgFL0LKTjLy7yNMOmyda6qq/gLwc8VjHYFTjRTo8LuApA1yqnJixC=
B2X
W6kNGebrd1KnID3p+uz7m3j/CntaO2XVUBtZj+UtPN+mexbm4ORsT0L4rtEDynh6Zg3FVHlci=
YhX
eNh4cScC3UOEakjGNq8PUvKOgpXDd230az+UUblx6DESgLBpO/6VykLHvbshGsd1p9H2G5JAs=
Ux0
ZHK6jae1BkypNZ5UGFlIM88A+sXX+FRvyqOHK35GWK8+2bfwrfJBaSCmEzFJ1gU2YtRAyAVuK=
4y5
5traiQ7YhkmV2P89wjYrXmBjtwHdJHbQ1FLKzWjRYIqGnnLAezCCSZhoBDFWgYTUkm2iZSPuM=
1OC
sxOfaIycbU2oXvsistDUxu7896mpTxW/puTGHnXChxGJ7G0FLqW6zU/KHYNnQarkx+LIau8AE=
QEA
Ac0kU2ViYXN0aWFuIExhVmluZSA8bWFpbEBzbWxhdmluZS5jb20+wsEOBBMBCAA4FiEEckOCI=
Ai7
/a97Zy72gZx9BUx8FGUFAl/FRC8CGwMFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQgZx9B=
Ux8
FGVZzwwAqff+YVwSsUhBavfWKaFYf5M40yN3gJ33Szi71qaC9h+HimunzK7oN07vGC44OdXad=
46Q
LVvNIjleqOahiivF+B0ovcpPEZpW8lEpkdUGwgpBeQqUUDhfXFrdGcah/T0RhNEyzjUqQ/2Sz=
7IG
jBHgI//tBFifc0r7WZGk3vDR2G2dAO2ucQ0K+U1biNJzhNw3BtkyEajnhRL4kgq4eCSbMSUXV=
qzV
hR4Z0qiL9cRiqdML97gx2nNLUYYT8uOyXqi7p74w/2yMMRZwlGJJpKHp7cZvxH+ouAY1MCHW2=
VXA
IawwI7hHP0ymWqeL2nGE14b+tNseh7fm40HjuPblnwjNZBQbfQj5nP03glUW/FLyPImmTcbpN=
WjZ
jolcmTbjh+nkktxKgRR9yh/hKwUWFdae7SQxJilkiq4Evv6f6b/iHiYoJ+TkYn83rSVa2FHHo=
cUW
Tv5UR4z9FlD2+Egs6GkiQ9w0BEDpI+ZsGOQJT5FfYwErGg7gk3mCKYL6GGt4bBeMzsDNBF/FR=
C8B
DACspEAsdMJSfWUkIIMj6Kno2QDA1jo6BKTFtrGC7A43bwFw+ng/ny/Esw0CDPwQbwvGqJodA=
F7W
7hCjgEt2q/dVfNOEYkmKPzYUHv0WuZdt8ZBdqU3Qi5Iv6dzF1EQUIlRpSUpSToriEwaJ8/X/M=
LjX
b6/BnVZ3OrXszImLGkbuYjFbfKsw1/I+C+3Jm/HwRv1rbZwmAl9RvCLN0xufX5xo7XikyPUEb=
uyM
dEH0ymIzJrqyqlagdUoBCo4WNEGWndfxZ1U34XvUAtoVfxRWomqV4nX9kFTDXPyndunT2Yj/g=
/Yd
OlwpHS8/JFLfnAhWvmopTjjnpeiWMT8SOjmfebeqje4mMvaRr8vXZ8BRCLMugS6XNW4uzdgTj=
E7i
X0ea2c6e8tF5aXfzoziP7omDqDSoTeV4BxoR/8du/2TP7JUb0vPNxD4neT4OUT4TCPuvZNdez=
DYF
/QaFWmjmviHZzyqaLAwMGblLxXY/CWsYKPvwX83kA7Azp6tcRG/VUtNJUe0AEQEAAcLA9gQYA=
QgA
IBYhBHJDgiAIu/2ve2cu9oGcfQVMfBRlBQJfxUQvAhsMAAoJEIGcfQVMfBRlbjoMALVZ+Yitd=
M6P
tivtOQ+O9g+hkN9WgdwIhBHEGGc2ugMflqOMDh28OkjgYm/kuqcni8cQWcLkYrrfTRmJOVPy6=
OyD
bw87hF8Lk5kaj2VrE8Jz33Lyk2HpNHPoLCFqWaoR1QL5Qqg3PBuSuDnpyYAQrGZ0bs13/Q2iP=
XGo
MF9DthKxZTT+SLqBYZdtGBpZKFux8mWsieKmR5N8CVb1uGcwrszbFOlyXemKY1LNcy7FgWyRH=
ege
qK81VhMelpuji+3h6oP+cHKE23lxOqsIYHxFUrwykou3gtit+uUTnzEh8L69FBq7hSRvYIlQx=
GeF
wk8sOUozKtTedZP1HukYYuiGLzmY6IVZr6YvE+keueHHSX+SUoj7VjmF6qAXrF+4eTSSL6fkD=
Oyo
sPDw9l4S33YCMT+smSXbfr0kGxMkjC0PguRE/w4ie7OllLpDod3aDV1EI46+C9ywf45SUza3T=
4Q+
svq55biZma0sEr0PhRj6MJ1wmZssarzO4ljhNhym73mRuA=3D=3D
=3DxrOL
-----END PGP PUBLIC KEY BLOCK-----

--------------59FF84E7A13598B1C9AFD099--

--tsH3OiaJy8LGNWr2iQw37jmy8DApiRXDk--

--pekeCKHlcJET09COrYCdSTmZyZ28vr4mC
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wsD5BAABCAAjFiEEckOCIAi7/a97Zy72gZx9BUx8FGUFAmC1FpYFAwAAAAAACgkQgZx9BUx8FGXU
dQv/QHEA6bjIv4J3KSn+xU0G89psARGgy/Z/yFsUQdUqORJjC7KKshSrU5m8AxSCONO26qzqqwGk
Hww0YuOPv3t3tEgta3QRdB/0DwtOmTUxM8CXngrC2AnzMPu25vuoUGUamHJr5ie1WxXM1l7BWpWy
LeQN8zPEKD5a6UadW4HCjjnUVlDQfty8KUbOkTjckzq2NpXcQvkGbLZXn7M4fkm9tvN4KG9bPicK
gmQZqUSSvmW5VTQs+4WbqC3a6DbgAMOG2GX2Oc/9yfH5BNIQD9hiGCc8oIx3HgKj1hF511K6ffZN
GJssuHLelvfIrxqapai5acEZjENZbXPUUM3oRAYUFKgkX4aRtq7XLBIj/b7EacE50oZg54dNEC1C
h9/U35XjxTmueUeqH7pO3ub0hqE+KLv6ylpUNs9fbC5xAEqvlWyDzV1exPMpKHwBZq2JQC5f6xXw
1wLUwdtOGbJDnbcPSkViKPc2gU7oHNkBMndhZtscX+kCaMW5b1LSsR0Sg9bH
=6/w1
-----END PGP SIGNATURE-----

--pekeCKHlcJET09COrYCdSTmZyZ28vr4mC--

